# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [1.4.7] - 25/11/2021

- Add `core_version_requirement: ^9 || ^10` and remove `core: 8.x` from composer.

## [1.4.6] - 14/01/2021

- Fix module requirements for D9-version

## [1.4.5] - 14/01/2021

- Update module to be D9-ready

## [1.4.4] - 04/12/2020

- Add composer.json file

## [1.4.3] - 21/09/2020

- Apply fix for Owl Carousel library loading in Horizontal Boxes view display format
- Modify display formats to keep css classes added manually in view config
- Remove disabling of row classes in display formats

## [1.4.2] - 25/05/2020

- Removed library declaration of JS file that does not exist

## [1.4.1] - 26/02/2020

- Fixed .once is not a function for Featured Banner display format

## [1.4.0] - 18/07/2019

- Added Card Grid display format
- Added Event Grid display format
- Added support for using grouping field in Accordion and Teaser List DF
- Added settings menu in /admin/config/display-formats/settings
- Fixed color consistency for all display formats

## [1.3.0] - 24/04/2019

- Added Vertical Boxes display format
- Added Featured Banner display format
- Fixed issue of Accordion display format grouped rows

## [1.2.0] - 26/02/2019

- Fixed error in views that use Horizontal Boxes [provided default value]
- Fixed default-row-class value being kept even after overriden
- Added Collision display format
- Added Countdown display format
- Added Teaser List display format
- Improved code by changing format conditionals (name to ID)
- Changed font-size of Teaser List

## [1.1.0] - 22/11/2018

- Added Accordion as display format
- Changed conditions for Horizontal Boxes
- Removed debugging conditions

## [1.0.0] - 04/10/2018

- Added Horizontal Boxes as display format
